﻿-- =============================================
-- Description:	Returns table of BatchLog records awaiting loading for the load status provided
--
-- Maintenance Log:
--
-- Update By     Update Date     Description
-- -----------     ---------     ----------------------------
-- =============================================
CREATE FUNCTION [dbo].[ufnGetBatchLogBatchDate]
(
	@loadStatus varchar(50),
	@tableName varchar(50)
)
   RETURNS @resultTable table 
      (  BatchLogID   bigint,
	     TableName    varchar(50), 
         BatchDate    datetime2(7) 
      ) 
AS
BEGIN
	INSERT INTO @resultTable (BatchLogID,TableName, BatchDate)
	SELECT DISTINCT BatchLogID, TableName, BatchDate
	FROM BatchLogs
	WHERE (LoadStatus = @loadStatus OR @loadStatus Is Null)
		AND (TableName = @tableName OR @tableName Is Null)
	ORDER BY BatchDate;
	
	RETURN;
END
GO