﻿--All projects
-- =============================================
-- Description:	Based on supplied batchlogid, set the batchlog status
--
-- Maintenance Log:
--
-- Update By     Update Date     Description
-- -----------     ---------     ----------------------------
-- =============================================
CREATE PROCEDURE dbo.[uspSetBatchLogStatus]
	@batchLogId bigint,
	@batchRecordCount bigint,
	@maxSourceBatchNumber bigint,	--the maximum source batch number from the incoming batch of records
	@loadStatus varchar (50)
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;
	
	BEGIN TRY
		UPDATE BatchLogs
			SET BatchRecordCount = @batchRecordCount 
				, LoadStatus = @loadStatus
				, SourceBatchNumber = @maxSourceBatchNumber
			WHERE BatchLogID = @batchLogId;
	END TRY

	BEGIN CATCH
		PRINT 'There was an error setting status on the Batch log' + CHAR(13);
		THROW;
	END CATCH
END
GO

