﻿-- =============================================
-- Description:	Returns list of user role access statuses
--
-- Maintenance Log:
--
-- Update By     Update Date     Description
-- -----------     ---------     ----------------------------
-- =============================================
CREATE PROCEDURE seclyr.[uspGetUserRoleStatuses]
 AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;

	BEGIN TRY

		SELECT 'APPROVED' AS AccessStatus
		UNION SELECT 'REQUESTED' AS AccessStatus
		UNION SELECT 'DENIED' AS AccessStatus
		ORDER BY 1;
	END TRY

	BEGIN CATCH
		PRINT 'There was an error getting the access status details' + CHAR(13);
		SELECT * FROM dbo.ufnGetErrorInfo();
		EXEC uspRaiseErrorInfo;
	END CATCH
END
GO