﻿-- =============================================
-- Description:	Returns list of stations for enclave, where we can't use typical security model
--
-- Maintenance Log:
--
-- Update By     Update Date     Description
-- -----------     ---------     ----------------------------
-- =============================================
CREATE PROCEDURE [dbo].[uspGetStations]
	@visnIds varchar(max)
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;
	
	BEGIN TRY

		SELECT DISTINCT VisnID, StationID, 'V' + CAST(VisnID AS varchar) + ': ' + StationName AS StationLabel
			FROM dbo.Stations
			WHERE (VisnID In(SELECT [value] FROM ufnSplit(',', @visnIds)) OR @visnIds IS NULL)
			ORDER BY VisnID

	END TRY

	BEGIN CATCH
		PRINT 'There was an error getting stations' + CHAR(13)
		SELECT * FROM dbo.ufnGetErrorInfo()
		EXEC dbo.uspRaiseErrorInfo
	END CATCH
END
