﻿-- =============================================
-- Description:	drops NCI indexes for IDs on Raw tables Post load to cores
--
-- Maintenance Log:
--
-- Update By     Update Date     Description
--          ---------     ----------------------------

-- =============================================
CREATE PROCEDURE zraw.[uspDoDropRawConsultIndexesPostCoreLoad]
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;
	

	
	BEGIN TRY

	--non clustered
	--BatchLogID
	DROP INDEX zraw._conConsult.IX_conConsult_BatchLogID;
	
	--StatusTypeID
	DROP INDEX zraw._conConsult.IX_conConsult_StatusTypeID;
	
	--RequestServiceID
	DROP INDEX zraw._conConsult.IX_conConsult_RequestServiceID;

	--StationID
	DROP INDEX zraw._conConsult.IX_conConsult_StationID;

	--OneConsultID
	DROP INDEX zraw._conConsult.IX_conConsult_OneConsultID;


	END TRY

	BEGIN CATCH
		PRINT 'There was an error dropping NCI IDs post Load to core tables' + CHAR(13)
		SELECT * FROM dbo.ufnGetErrorInfo()
		EXEC dbo.uspRaiseErrorInfo
	END CATCH
END
