﻿CREATE TABLE dbo.ActivityTypes
(
	--source: 
		--A01/SQL52.SPV.Dim.ActivityTypes

	--fields
	ActivityTypeID			int IDENTITY(1,1)   NOT NULL,			--EPRS assigned (PK)
	ActivityTypeName		varchar(100)	NULL,	--Type of Activity performed 
	

    --primary key
	CONSTRAINT PK_ActivityTypeID PRIMARY KEY CLUSTERED	
	(
		ActivityTypeID ASC
	)
) 
ON DefinitionData
	--when using clustered columnstore index, can't set data compression to PAGE
	--using data compression, we have more than 10k recs but way less than 1 million recs
	--WITH (DATA_COMPRESSION = PAGE)
GO



--foreign keys


--indexes


CREATE NONCLUSTERED INDEX IX_ActivityTypes_ActivityTypeName ON dbo.ActivityTypes
	(
	ActivityTypeName
	) WITH (
		PAD_INDEX = ON,				--If want to use a Fill Factor, then PAD_INDEX must = ON 
		FILLFACTOR = 90,			--100 = max fill; set to 90 if going to insert new values incrementally; 100 if doing bulk load
		SORT_IN_TEMPDB = ON,		-- sorts the index in the TempDB; default = OFF
		IGNORE_DUP_KEY = OFF,
		STATISTICS_NORECOMPUTE = OFF,
		STATISTICS_INCREMENTAL = OFF,
		DROP_EXISTING = OFF, 
		ONLINE = OFF,
		ALLOW_ROW_LOCKS = ON, 
		ALLOW_PAGE_LOCKS = ON,
		MAXDOP = 0,					--degrees of parallelism, controls how many CPUs to use; 0 = default (all available), max = 64
		DATA_COMPRESSION = PAGE		--use page compression; default = NONE
	)
	ON DefinitionIndex
GO


--constraints

--Metadata descriptions for each field
EXECUTE sp_addextendedproperty 
N'MS_Description', N'Primary Key, unique to EPRS', 
N'SCHEMA', N'dbo', 
N'TABLE', N'ActivityTypes', 
N'COLUMN', N'ActivityTypeID'
GO


EXECUTE sp_addextendedproperty 
N'MS_Description', N'Activity Type performed', 
N'SCHEMA', N'dbo', 
N'TABLE', N'ActivityTypes', 
N'COLUMN', N'ActivityTypeName'
GO
