﻿CREATE TABLE dbo.CCRAAppointmentTypes
(
	--authoritative source: 
		--A06.CDWWork.CCRA.rb_appointment


	--fields
	AppointmentTypeID 	        tinyint IDENTITY(1,1) NOT NULL,			--EPRS assigned (PK)
	AppointmentTypeName         varchar (2),                            -- might could be char(1)   source rb_appointment.appt_status   
	AppointmentTypeDescription  varchar (20),                         
 
 --primary key
	CONSTRAINT PK_CCRAAppointmentTypes PRIMARY KEY NONCLUSTERED	--not clustered due to clust. columnstore index
	(
		AppointmentTypeID ASC --will need to be 100% sure this is unique in source
	)
) 
ON DefinitionData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)	
GO

--foreign keys


--indexes



--constraints

--Metadata descriptions for each field
EXECUTE sp_addextendedproperty 
N'MS_Description', N'Primary Key, unique to EPRS', 
N'SCHEMA', N'dbo', 
N'TABLE', N'CCRAAppointmentTypes', 
N'COLUMN', N'AppointmentTypeID'
GO

EXECUTE sp_addextendedproperty 
N'MS_Description', N'Name of AppointmentType; sample values: I,A,T,X,C,P,N,H,J,W,S,D',
N'SCHEMA', N'dbo', 
N'TABLE', N'CCRAAppointmentTypes', 
N'COLUMN', N'AppointmentTypeName'
GO

EXECUTE sp_addextendedproperty 
N'MS_Description', N'Description of AppointmentType; sample values: Inserted,Admitted,Transferred,Cancelled,Closed,Postponed,NotAttended,Hold(Postponed),Hold(Inserted),Could Not Wait,Arrived Not Seen,Departed',
N'SCHEMA', N'dbo', 
N'TABLE', N'CCRAAppointmentTypes', 
N'COLUMN', N'AppointmentTypeDescription'
GO
