﻿CREATE TABLE dbo.ClaimStatuses
(
	--source:
		--A06.CDWWork.FBCS.hcfa
			--status

	--fields
	ClaimStatusID			tinyint IDENTITY(1,1) NOT NULL,			--EPRS assigned (PK)
	ClaimStatusName			varchar (50) NOT NULL,
	ClaimStatusAbbreviation	varchar(5),
	
	--primary key
	CONSTRAINT PK_ClaimStatuses PRIMARY KEY CLUSTERED 
	(
		ClaimStatusID ASC
	)
) 
ON DefinitionData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
EXECUTE sp_addextendedproperty 
N'MS_Description', N'Primary Key, unique to EPRS', 
N'SCHEMA', N'dbo', 
N'TABLE', N'ClaimStatuses', 
N'COLUMN', N'ClaimStatusID'
GO

EXECUTE sp_addextendedproperty 
N'MS_Description', N'Name for the claim status', 
N'SCHEMA', N'dbo', 
N'TABLE', N'ClaimStatuses', 
N'COLUMN', N'ClaimStatusName'
GO 

EXECUTE sp_addextendedproperty 
N'MS_Description', N'Abbreviation for the claim status', 
N'SCHEMA', N'dbo', 
N'TABLE', N'ClaimStatuses', 
N'COLUMN', N'ClaimStatusAbbreviation'
GO 