﻿CREATE TABLE dbo.ClaimTypes
(
	--fields
	ClaimTypeID		tinyint IDENTITY(1,1) NOT NULL,		--EPRS assigned (PK)
	ClaimTypeName	varchar (50) NOT NULL,
	IsEntryType		bit NOT NULL,
	
	--primary key
	CONSTRAINT PK_ClaimTypes PRIMARY KEY CLUSTERED 
	(
		ClaimTypeID ASC
	)
) 
ON DefinitionData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression
GO

--foreign keys

--indexes

--constraints
ALTER TABLE ClaimTypes
   ADD CONSTRAINT DF_ClaimTypes_IsEntryType
   DEFAULT 0
   FOR IsEntryType
GO

--Metadata descriptions for each field
EXECUTE sp_addextendedproperty 
N'MS_Description', N'Primary Key; unique to EPRS', 
N'SCHEMA', N'dbo', 
N'TABLE', N'ClaimTypes', 
N'COLUMN', N'ClaimTypeID'
GO

EXECUTE sp_addextendedproperty 
N'MS_Description', N'Name for the claim type', 
N'SCHEMA', N'dbo', 
N'TABLE', N'ClaimTypes', 
N'COLUMN', N'ClaimTypeName'
GO 

EXECUTE sp_addextendedproperty 
N'MS_Description', N'True/False, is the claim type an entry type (1=true, 0=false)', 
N'SCHEMA', N'dbo', 
N'TABLE', N'ClaimTypes', 
N'COLUMN', N'IsEntryType'
GO 