﻿CREATE TABLE dbo.ConditionCodes
(
	--source: FBCS.ub92
           --,<conditioncode1, varchar(8000),>		
           --,<conditioncode2, varchar(8000),>		
           --,<conditioncode3, varchar(8000),>		
           --,<conditioncode4, varchar(8000),>		
           --,<conditioncode5, varchar(8000),>		
           --,<conditioncode6, varchar(8000),>		
           --,<conditioncode7, varchar(8000),>		
           --,<conditioncode8, varchar(8000),>		
           --,<conditioncode9, varchar(8000),>		
           --,<conditioncode10, varchar(8000),>		
           --,<conditioncode11, varchar(8000),>		

	--fields
	ConditionCodeID		smallint IDENTITY(1,1) NOT NULL,	--EPRS assigned (PK)
	ConditionCode		varchar(50) NOT NULL,				--this field will have to be made available via administrative form for SME backfilling

	--primary key
	CONSTRAINT PK_ConditionCodes PRIMARY KEY CLUSTERED 
	(
		ConditionCodeID ASC
	)
) 
ON DefinitionData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression
GO

--foreign keys

--indexes

CREATE NONCLUSTERED INDEX IX_ConditionCodes_FBCSConditionCodeNumber ON dbo.ConditionCodes
	(
	ConditionCode
	) WITH (
		PAD_INDEX = ON,				--If want to use a Fill Factor, then PAD_INDEX must = ON 
		FILLFACTOR = 100,			--100 = max fill; set to 90 if going to insert new values incrementally; 100 if doing bulk load
		SORT_IN_TEMPDB = ON,		-- sorts the index in the TempDB; default = OFF
		IGNORE_DUP_KEY = OFF,
		STATISTICS_NORECOMPUTE = OFF,
		STATISTICS_INCREMENTAL = OFF,
		DROP_EXISTING = OFF, 
		ONLINE = OFF,
		ALLOW_ROW_LOCKS = ON, 
		ALLOW_PAGE_LOCKS = ON,
		MAXDOP = 0,					--degrees of parallelism, controls how many CPUs to use; 0 = default (all available), max = 64
		DATA_COMPRESSION = NONE		--don't need, less than 10,000 rows
	)
	ON DefinitionIndex
GO

--constraints

--Metadata descriptions for each field
EXECUTE sp_addextendedproperty 
N'MS_Description', N'Primary Key; unique to EPRS', 
N'SCHEMA', N'dbo', 
N'TABLE', N'ConditionCodes', 
N'COLUMN', N'ConditionCodeID'
GO

EXECUTE sp_addextendedproperty 
N'MS_Description', N'Official Condition code from gold standard authoritative source (or hand-entered by admin)', 
N'SCHEMA', N'dbo', 
N'TABLE', N'ConditionCodes', 
N'COLUMN', N'ConditionCode'
GO
 