﻿CREATE TABLE dbo.FBCSFormTypes
(
	--authoritative source: 
		--A06.CDWWork.FBCS.hcfa

	--fields
	FBCSFormTypeID	bigint	IDENTITY (1,1) NOT NULL,	--EPRS assigned
	FormType		tinyint,							--FormType
	FormName		varchar(50),						--FormName
	FormNumber		varchar(50),						--FormNumber

	--primary key
	CONSTRAINT PK_FBCSFormType PRIMARY KEY CLUSTERED 
	(
		FBCSFormTypeID ASC
	)
) 
ON CoreData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
EXECUTE sp_addextendedproperty 
N'MS_Description', N'Primary Key, unique to EPRS', 
N'SCHEMA', N'dbo', 
N'TABLE', N'FBCSFormTypes', 
N'COLUMN', N'FBCSFormTypeID'
GO

EXECUTE sp_addextendedproperty 
N'MS_Description', N'Type of form, values are 0 or 1', 
N'SCHEMA', N'dbo', 
N'TABLE', N'FBCSFormTypes', 
N'COLUMN', N'FormType'
GO 

EXECUTE sp_addextendedproperty 
N'MS_Description', N'Name of form--HCFA or UB', 
N'SCHEMA', N'dbo', 
N'TABLE', N'FBCSFormTypes', 
N'COLUMN', N'FormName'
GO 

EXECUTE sp_addextendedproperty 
N'MS_Description', N'Number of form--1450 or 1500', 
N'SCHEMA', N'dbo', 
N'TABLE', N'FBCSFormTypes', 
N'COLUMN', N'FormNumber'
GO 
