﻿CREATE TABLE dbo.FBCSFacilities
(
	--authoritative source: A06.CDWWork.FBCS.facility
	--fields

FBCSFacilityID		bigint	IDENTITY (1,1) NOT NULL,	--EPRS assigned
FacilityNumber		varchar(30),						--station__no
FacilityName		varchar(100),						--FacilityName
FacilityNumberFY17	varchar(30),						--StationNumber
VISN				bigint,								--VISN
VISNFY17			bigint,								--FY17visn
DSSUnitName			varchar(1000),						--DSSUnitName
ATS1				varchar(100),						--ATS1
InternalNumber		varchar(1000),						--InternalNumber
AssociatedClinic	varchar(1000),						--AssociatedClinic
ServerName			varchar(1000),						--ServerName
SYSPort				varchar(1000),						--Port	
Submitter			varchar(1000),						--Submitter
ScrubberUName		varchar(1000),						--ScrubberUName
ScrubberPWord		varchar(1000),						--ScrubberPWord
AgencyName			varchar(1000),						--pfrarname
AgencyNameAddress	varchar(1000),						--pfraraddress
salutation			varchar(1000),						--salutation	
RepricerPrefix		varchar(50),						--RepricerPrefix
usepayment			int,								--usepayment
DocManagerSystemNumber	 varchar(99),					--DocManagerSystemNumber
UseInpatientPayment	int,								--UseInpatientPayment
SendAllClaimsToPayment	 int,							--SendAllClaimsToPayment
UseRepricer			int,								--SendAllClaimsToPayment
PreventVendorAdditions	 int,							--PreventVendorAdditions
FeeCalcSubmitterID	varchar(15),						--FeeCalcSubmitterID
FeeCalcUserName		varchar(30),						--FeeCalcUserName
FeeCalcSubmitterPWD	varchar(25) NULL					--FeeCalcSubmitterPWD

	
	
	--primary key
	CONSTRAINT PK_FBCSFacility PRIMARY KEY CLUSTERED 
	(
		FBCSFacilityID ASC
	)
) 
ON CoreData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
EXECUTE sp_addextendedproperty 
N'MS_Description', N'Primary Key, unique to EPRS', 
N'SCHEMA', N'dbo', 
N'TABLE', N'FBCSFacilities', 
N'COLUMN', N'FBCSFacilityID'
GO

