﻿--This is a raw table that already exists in raw; commenting out for now to fix compile errors
CREATE TABLE dbo.FBCSUBScores
(
	--authoritative source: A06.CDWWork.FBCS.UB92Scores
	--fields
	FBCSUBScoreID		    bigint IDENTITY(1,1) NOT NULL,
	FBCSUBClaimID			bigint,						--EPRS assigned (FK), relates to FBCSUBClaims
	StationID				smallint,					--EPRS assigned (FK), relates to stationid, NOT station__no
	CDWUBScoreNumber		bigint,						--id
	CDWRowNumber			bigint,						--rownumber
	CDWLineNumber			smallint,					--lineid
	DatabaseNumber			varchar(10),				--databaseid
	DateScoreReceived		datetime2(7),				--scorercvddtstamp
	DateFeed				datetime2(7),				--feeddate

	--TODO: need to find out if this IsPay or CanPaid or WasPaid, but should be only a bi-state bit (1 or 0)
	Pay						bit NOT NULL,				--pay (turn all empty string to 0, Y = 1, N = 0)
	--primary key
	CONSTRAINT PK_FBCSUBScores PRIMARY KEY CLUSTERED 
	(
		FBCSUBScoreID ASC
	)
) 
ON CoreData
	--when using clustered columnstore index, can't set data compression to PAGE
	WITH (DATA_COMPRESSION = PAGE)
GO


/*
	--zraw._fbcsub92score
    [station__no]		VARCHAR(30) NOT NULL,		--trade this in along with the ub92id to the FBCSUBClaims table to get the FBCSClaimID
	ub92id				BIGINT,					--FBCSUBClaimID
	id					BIGINT,					--CDWUBScoreNumber
	scorercvddtstamp	DATETIME2(7),			--DateScoreReceived
	rownumber			BIGINT,					--CDWRowNumber
	feeddate			DATETIME2(7),			--DateFeed
	databaseid			VARCHAR(10),			--DatabaseNumber
	stationid			VARCHAR(10),			--StationID
	lineid				BIGINT,					--CDWLineNumber
	pay					VARCHAR(5),				--TODO: call Pay for now
	score				BIGINT,
	scoredate			DATETIME2(7),
	reasoncode			VARCHAR(50),
	reasondescription	VARCHAR(8000),
	ub92lines_id		BIGINT,
	[thread__id]		NUMERIC(18, 0) NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

*/

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
