﻿CREATE TABLE dbo.OccurrenceCodes
(
	--source: 
		--A06.CDWWork.FBCS.ub92
	      --,<occcode_box31a, varchar(8000),>
          -- ,<occcode_box31b, varchar(8000),>
          -- ,<occcode_box32a, varchar(8000),>
          -- ,<occcode_box32b, varchar(8000),>
          -- ,<occcode_box33a, varchar(8000),>
          -- ,<occcode_box33b, varchar(8000),>
          -- ,<occcode_box34a, varchar(8000),>
          -- ,<occcode_box34b, varchar(8000),>
          -- ,<occspancode_box35a, varchar(8000),>
          -- ,<occspancode_box35b, varchar(8000),>
          -- ,<occspancode_box36a, varchar(8000),>
          -- ,<occspancode_box36b, varchar(8000),>

	--fields
	OccurrenceCodeID	smallint IDENTITY(1,1) NOT NULL,	--EPRS assigned (PK)
	OccurrenceCode		varchar(5) NOT NULL,				--various occcode and occspancode values
	OccurrenceCodeName	varchar(50),						--this field will have to be made available via administrative form for SME backfilling

	--primary key
	CONSTRAINT PK_OccurrenceCodes PRIMARY KEY CLUSTERED 
	(
		OccurrenceCodeID ASC
	)
) 
ON DefinitionData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression
GO

--foreign keys

--indexes

CREATE NONCLUSTERED INDEX IX_OccurrenceCodes_OccurrenceCodeNumber ON dbo.OccurrenceCodes
	(
	OccurrenceCode
	) WITH (
		PAD_INDEX = ON,				--If want to use a Fill Factor, then PAD_INDEX must = ON 
		FILLFACTOR = 100,			--100 = max fill; set to 90 if going to insert new values incrementally; 100 if doing bulk load
		SORT_IN_TEMPDB = ON,		-- sorts the index in the TempDB; default = OFF
		IGNORE_DUP_KEY = OFF,
		STATISTICS_NORECOMPUTE = OFF,
		STATISTICS_INCREMENTAL = OFF,
		DROP_EXISTING = OFF, 
		ONLINE = OFF,
		ALLOW_ROW_LOCKS = ON, 
		ALLOW_PAGE_LOCKS = ON,
		MAXDOP = 0,					--degrees of parallelism, controls how many CPUs to use; 0 = default (all available), max = 64
		DATA_COMPRESSION = NONE		--don't need, less than 10,000 rows
	)
	ON DefinitionIndex
GO

--constraints

--Metadata descriptions for each field
EXECUTE sp_addextendedproperty 
N'MS_Description', N'Primary Key, unique to EPRS', 
N'SCHEMA', N'dbo', 
N'TABLE', N'OccurrenceCodes', 
N'COLUMN', N'OccurrenceCodeID'
GO

EXECUTE sp_addextendedproperty 
N'MS_Description', N'Occurrence code', 
N'SCHEMA', N'dbo', 
N'TABLE', N'OccurrenceCodes', 
N'COLUMN', N'OccurrenceCode'
GO
 
EXECUTE sp_addextendedproperty 
N'MS_Description', N'Occurrence code name', 
N'SCHEMA', N'dbo', 
N'TABLE', N'OccurrenceCodes', 
N'COLUMN', N'OccurrenceCodeName'
GO