﻿Create TABLE dbo.OrderStatuses

(
	--source:
		--EPRS specific, but it gets values initially from A01/SQL52, Dim.orderStatus

	--fields
	OrderStatusID		tinyint IDENTITY(1,1)   NOT NULL,			--EPRS assigned (PK)
	OrderStatusName		varchar(30)	 NULL					--

    --primary key
	CONSTRAINT PK_Statuses PRIMARY KEY CLUSTERED	
	(
		OrderStatusID ASC
	)
) 
ON DefinitionData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)
GO


--foreign keys

--indexes
CREATE NONCLUSTERED INDEX IX_Statuses_StatusName ON dbo.OrderStatuses
	(
	OrderStatusName
	) WITH (
		PAD_INDEX = ON,				--If want to use a Fill Factor, then PAD_INDEX must = ON 
		FILLFACTOR = 90,			--100 = max fill; set to 90 if going to insert new values incrementally; 100 if doing bulk load
		SORT_IN_TEMPDB = ON,		-- sorts the index in the TempDB; default = OFF
		IGNORE_DUP_KEY = OFF,
		STATISTICS_NORECOMPUTE = OFF,
		STATISTICS_INCREMENTAL = OFF,
		DROP_EXISTING = OFF, 
		ONLINE = OFF,
		ALLOW_ROW_LOCKS = ON, 
		ALLOW_PAGE_LOCKS = ON,
		MAXDOP = 0,					--degrees of parallelism, controls how many CPUs to use; 0 = default (all available), max = 64
		DATA_COMPRESSION = PAGE		--use page compression; default = NONE
	)
	ON DefinitionIndex
GO
--constraints

--Metadata descriptions for each field
EXECUTE sp_addextendedproperty 
N'MS_Description', N'Primary Key, unique to EPRS', 
N'SCHEMA', N'dbo', 
N'TABLE', N'OrderStatuses', 
N'COLUMN', N'OrderStatusID'
GO

EXECUTE sp_addextendedproperty 
N'MS_Description', N'Status name', 
N'SCHEMA', N'dbo', 
N'TABLE', N'OrderStatuses', 
N'COLUMN', N'OrderStatusName'
GO
