﻿CREATE TABLE dbo.ReasonTypes
(
	--authoritative source: 
		--A06.CDWWork.FBCS.reasontypes

	--fields
	ReasonTypeID	tinyint IDENTITY(1,1) NOT NULL,			--EPRS assigned (PK)
	ReasonTypeName	varchar (50) NOT NULL,					--distinct reason types
	
	--primary key
	CONSTRAINT PK_ReasonTypes PRIMARY KEY CLUSTERED 
	(
		ReasonTypeID ASC
	)
) 
ON DefinitionData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
EXECUTE sp_addextendedproperty 
N'MS_Description', N'Primary Key, unique to EPRS', 
N'SCHEMA', N'dbo', 
N'TABLE', N'ReasonTypes', 
N'COLUMN', N'ReasonTypeID'
GO

EXECUTE sp_addextendedproperty 
N'MS_Description', N'Name for the reason type', 
N'SCHEMA', N'dbo', 
N'TABLE', N'ReasonTypes', 
N'COLUMN', N'ReasonTypeName'
GO 