﻿CREATE TABLE dbo.RecordStatuses

(
	--source:
		--EPRS specific, but it gets values initially from A01/SQL52, OpsCode from multiple tables

	--fields
	RecordStatusID		tinyint IDENTITY(1,1)   NOT NULL,			--EPRS assigned (PK)
	RecordStatusCode	varchar(5)		 NULL,						--OpCode
	RecordStatusName	varchar(200)	 NULL						--EPRS assigned

    --primary key
	CONSTRAINT PK_RecordStatuses PRIMARY KEY CLUSTERED	
	(
		RecordStatusID ASC
	)
) 
ON DefinitionData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)
GO


--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
EXECUTE sp_addextendedproperty 
N'MS_Description', N'Primary Key, unique to EPRS', 
N'SCHEMA', N'dbo', 
N'TABLE', N'RecordStatuses', 
N'COLUMN', N'RecordStatusID'
GO

EXECUTE sp_addextendedproperty 
N'MS_Description', N'Record status code; source: OpsCode from production CDW', 
N'SCHEMA', N'dbo', 
N'TABLE', N'RecordStatuses', 
N'COLUMN', N'RecordStatusCode'
GO

EXECUTE sp_addextendedproperty 
N'MS_Description', N'Record status name', 
N'SCHEMA', N'dbo', 
N'TABLE', N'RecordStatuses', 
N'COLUMN', N'RecordStatusName'
GO
