﻿CREATE TABLE dbo.RepricedStatuses
(
	--source

	--fields
	RepricedStatusID			tinyint IDENTITY(1,1) NOT NULL,		--EPRS assigned (PK)
	RepricedStatusName			varchar (200) NOT NULL,				
	RepricedStatusShortName		varchar(200),						--distinct what is coming from FBCS raw tables
	RepricedStatusAbbreviation	varchar(200),
	
	--primary key
	CONSTRAINT PK_RepricedStatuses PRIMARY KEY CLUSTERED 
	(
		RepricedStatusID ASC
	)
) 
ON DefinitionData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
EXECUTE sp_addextendedproperty 
N'MS_Description', N'Primary Key, unique to EPRS', 
N'SCHEMA', N'dbo', 
N'TABLE', N'RepricedStatuses', 
N'COLUMN', N'RepricedStatusID'
GO

EXECUTE sp_addextendedproperty 
N'MS_Description', N'Name for the repriced status', 
N'SCHEMA', N'dbo', 
N'TABLE', N'RepricedStatuses', 
N'COLUMN', N'RepricedStatusName'
GO 

EXECUTE sp_addextendedproperty 
N'MS_Description', N'Short name for the repriced status, comes from authoritative source, but is not very pretty for reading', 
N'SCHEMA', N'dbo', 
N'TABLE', N'RepricedStatuses', 
N'COLUMN', N'RepricedStatusShortName'
GO 

EXECUTE sp_addextendedproperty 
N'MS_Description', N'Abbreviation for the repriced status', 
N'SCHEMA', N'dbo', 
N'TABLE', N'RepricedStatuses', 
N'COLUMN', N'RepricedStatusAbbreviation'
GO 