﻿CREATE TABLE dbo.ValueCodes
(
	--source: 
		--A06.CDWWork.FBCS.ub92
           --,<valuecode_box39a, varchar(8000),>		
           --,<valuecode_box39b, varchar(8000),>
           --,<valuecode_box39c, varchar(8000),>
           --,<valuecode_box39d, varchar(8000),>
           --,<valuecode_box40a, varchar(8000),>
           --,<valuecode_box40b, varchar(8000),>
           --,<valuecode_box40c, varchar(8000),>
           --,<valuecode_box40d, varchar(8000),>
           --,<valuecode_box41a, varchar(8000),>
           --,<valuecode_box41b, varchar(8000),>
           --,<valuecode_box41c, varchar(8000),>
           --,<valuecode_box41d, varchar(8000),>

	--fields
	ValueCodeID	smallint IDENTITY(1,1) NOT NULL,
	ValueCode		varchar(5) NOT NULL, 
	ValueCodeName	varchar(50),		--this field will have to be made available via administrative form for SME backfilling

	--primary key
	CONSTRAINT PK_ValueCodes PRIMARY KEY CLUSTERED 
	(
		ValueCodeID ASC
	)
) 
ON DefinitionData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression
GO

--foreign keys

--indexes

CREATE NONCLUSTERED INDEX IX_ValueCodes_ValueCode ON dbo.ValueCodes
	(
	ValueCode
	) WITH (
		PAD_INDEX = ON,				--If want to use a Fill Factor, then PAD_INDEX must = ON 
		FILLFACTOR = 100,			--100 = max fill; set to 90 if going to insert new values incrementally; 100 if doing bulk load
		SORT_IN_TEMPDB = ON,		-- sorts the index in the TempDB; default = OFF
		IGNORE_DUP_KEY = OFF,
		STATISTICS_NORECOMPUTE = OFF,
		STATISTICS_INCREMENTAL = OFF,
		DROP_EXISTING = OFF, 
		ONLINE = OFF,
		ALLOW_ROW_LOCKS = ON, 
		ALLOW_PAGE_LOCKS = ON,
		MAXDOP = 0,					--degrees of parallelism, controls how many CPUs to use; 0 = default (all available), max = 64
		DATA_COMPRESSION = NONE		--don't need, less than 10,000 rows
	)
	ON DefinitionIndex
GO

--constraints

--Metadata descriptions for each field
EXECUTE sp_addextendedproperty 
N'MS_Description', N'Primary Key, unique to EPRS', 
N'SCHEMA', N'dbo', 
N'TABLE', N'ValueCodes', 
N'COLUMN', N'ValueCodeID'
GO

EXECUTE sp_addextendedproperty 
N'MS_Description', N'Value code', 
N'SCHEMA', N'dbo', 
N'TABLE', N'ValueCodes', 
N'COLUMN', N'ValueCode'
GO
 
EXECUTE sp_addextendedproperty 
N'MS_Description', N'Value code name', 
N'SCHEMA', N'dbo', 
N'TABLE', N'ValueCodes', 
N'COLUMN', N'ValueCodeName'
GO