﻿CREATE TABLE seclyr.Modules
(
	--fields
	ModuleID		tinyint IDENTITY(1,1) NOT NULL,		--EPRS assigned (PK)
	ModuleName		varchar(100) NOT NULL,
	DateInactive	datetime2(7),
	Inactive		bit NOT NULL,
	
	--primary key
	CONSTRAINT PK_Modules PRIMARY KEY CLUSTERED 
	(
		ModuleID ASC
	)
) 
ON DefinitionData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression
GO

--foreign keys

--indexes

--constraints
ALTER TABLE seclyr.Modules
   ADD CONSTRAINT DF_Modules_Inactive
   DEFAULT 0
   FOR Inactive
GO

--Metadata descriptions for each field
EXECUTE sp_addextendedproperty 
N'MS_Description', N'Primary Key, unique to EPRS', 
N'SCHEMA', N'seclyr', 
N'TABLE', N'Modules', 
N'COLUMN', N'ModuleID'
GO

EXECUTE sp_addextendedproperty 
N'MS_Description', N'Name for the module', 
N'SCHEMA', N'seclyr', 
N'TABLE', N'Modules', 
N'COLUMN', N'ModuleName'
GO 

EXECUTE sp_addextendedproperty 
N'MS_Description', N'Date record was inactivated', 
N'SCHEMA', N'seclyr', 
N'TABLE', N'Modules', 
N'COLUMN', N'DateInactive'
GO

EXECUTE sp_addextendedproperty 
N'MS_Description', N'Identifies if the record is inactive', 
N'SCHEMA', N'seclyr', 
N'TABLE', N'Modules', 
N'COLUMN', N'Inactive'
GO