﻿
CREATE TABLE [zraw]._StaffUsers 
(
	--source: A06/SQL52, SPV.SStaff.SStaff
	StaffSID								int,
    StaffIEN								varchar(50),
    Sta3n									smallint,
    StaffName								varchar(100),
    LastName								varchar(50),
    FirstName								varchar(50),
    MiddleName								varchar(50),
    StaffNamePrefix							varchar(50),
    StaffNameSuffix							varchar(50),
    StaffSSN								varchar(50),
    NetworkUsername							varchar(100),
    DEA										varchar(50),
    VANumber								varchar(50),
    MailCode								varchar(50),
    StreetAddress1							varchar(50),
    StreetAddress2							varchar(50),
    StreetAddress3							varchar(50),
    City									varchar(50),
    StateName								varchar(50),
    ZipCode									varchar(50),
    TemporaryAddress1						varchar(50),
    TemporaryAddress2						varchar(50),
    TemporaryAddress3						varchar(50),
    TemporaryCity							varchar(50),
    TemporaryStateName						varchar(50),
    TemporaryZipCode						varchar(50),
    TemporaryAddressStartDate				date,
    TemporaryAddressEndDate					date,
    HomePhone								varchar(50),
    OfficePhone								varchar(50),
    Phone3									varchar(50),
    Phone4									varchar(50),
    CommercialPhone							varchar(50),
    FaxNumber								varchar(50),
    VoicePager								varchar(50),
    DigitalPager							varchar(50),
    Room									varchar(50),
    EmailAddress							varchar(100),
    NPIAuthorizedReleaseFlag				char(1),
    NPI										varchar(50),
    SignatureBlockName						varchar(50),
    SignatureBlockTitle						varchar(50),
    TaxID									varchar(50),
    DateOfBirth								date,
    Age										numeric(18,0),
    Gender									varchar(50),
    PAIDEmployeeIEN							varchar(50),
    TerminationDate							date,
    TerminationReason						varchar(50),
    PositionTitle							varchar(50),
    DeleteAllMailAccessFlag					char(1),
    DeleteKeysAtTerminationFlag				char(1),
    ProviderClassIEN						varchar(50),
    ProviderClassSID						int,
    ProviderClass							varchar(50),
    LastUsedTerminalTypeIEN					varchar(50),
    LastUsedTerminalType					varchar(50),
    ProviderScheduleType					varchar(50),
    Degree									varchar(50),
    PACFlag									char(1),
    HINQEmployeeNumberFlag					char(1),
    DelegateOfStaffIEN						varchar(50),
    DelegateOfStaffSID						int,
    DelegationDate							date,
    ServiceComputationDate					date,
    DelegationLevel							varchar(50),
    ElectronicSignatureCodeFlag				char(1),
    AccessCodeFlag							char(1),
    VerifyCodeFlag							char(1),
    VerifyCodeLastChangedDate				date,
    EnteredDate								date,
    CreatedByStaffIEN						varchar(50),
    CreatedByStaffSID						int,
    MedOrdersAuthorizedFlag					char(1),
    ServiceSectionIEN						varchar(50),
    ServiceSectionSID						int,
    ServiceSection							varchar(50),
    ServiceType								char(1),
    ServiceParentIEN						varchar(50),
    SocialWorkerFlag						char(1),
    SocialWorkerPositionTitle				varchar(50),
    SocialWorkerImmediateSupervisorStaffIEN	varchar(50),
    SocialWorkerImmediateSupervisorStaffSID	int,
    SupplyEmployee							varchar(50),
    LastEditedDateTime						smalldatetime,
    LastSignonDateTime						smalldatetime,
    InactivationDate						date,
    DisUserFlag								char(1),
    XUSActiveUserFlag						char(1),
    PrimaryMenuOptionIEN					varchar(50),
    PrimaryMenuOptionSID					int,
    RequiresCosignerFlag					char(1),
    UsualCosignerStaffIEN					varchar(50),
    UsualCosignerStaffSID					int,
    NonVAPrescriberFlag						char(1),
    ExclusionaryCheckFlag					char(1),
    ExclusionaryCheckDate					date,
    ExclusionaryFlag						char(1),
    StaffReviewFlag							char(1),
    StaffRemarks							varchar(100),
    ETLBatchID								int,
    VistaCreateDate							datetime,
    VistaEditDate							datetime,
    OpCode									char(1),
	ExtractBatchID              BIGINT         NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			        BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs
	StaffUserID						bigint IDENTITY(1,1) NOT NULL,	--EPRS assigned (PK)
	StationID							smallint			NOT NULL,			--EPRS assigned (FK), references Stations
    RecordStatusID						tinyint				NULL,		--EPRS assigned (Fk), referencess RecordStatuses


)
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	WITH (DATA_COMPRESSION = PAGE)
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
