﻿CREATE TABLE zraw._TIUTIUDocuments --TIU is the schema
(
	--fields

	TIUDocumentSID								bigint
    ,TIUDocumentIEN								varchar(50)
    ,Sta3n										smallint
    ,TIUDocumentDefinitionSID					int
    ,PatientSID									int
    ,VisitSID									bigint
    ,ParentTIUDocumentDefinitionSID				int
    ,TIUStatusSID								int
    ,ParentTIUDocumentSID						bigint
    ,EpisodeBeginDateTime						datetime2(0)
    ,EpisodeBeginVistaErrorDate					varchar(50)
    ,EpisodeBeginDateTimeTransformSID			bigint
    ,EpisodeBeginDateSID						int
    ,EpisodeEndDateTime							datetime2(0)
    ,EpisodeEndVistaErrorDate					varchar(50)
    ,EpisodeEndDateTimeTransformSID				bigint
    ,ReportUrgency								varchar(50)
    ,CreditStopCodeOnCompletionFlag				char(1)
    ,DischargeDateCorrectionFlag			char(1)
    ,EntryDateTime						datetime2(0)
    ,EntryVistaErrorDate					varchar(50)
    ,EntryDateTimeTransformSID				bigint
    ,AuthorDictatorStaffSID						int
    ,ExpectedSignerStaffSID						int
    ,DocumentLocationSID					int
    ,SecondaryVisitSID bigint
    ,ExpectedCosignerStaffSID int
    ,AttendingPhysicianStaffSID int
    ,CPRSOrderSID bigint
    ,VisitType varchar(50)
    ,InstitutionSID int
    ,ReferenceDateTime datetime2(0)
    ,ReferenceVistaErrorDate varchar(50)
    ,ReferenceDateTimeTransformSID bigint
    ,ReferenceDateSID int
    ,EnteredByStaffSID int
    ,CaptureMethod varchar(50)
    ,ReleaseDateTime datetime2(0)
    ,ReleaseVistaErrorDate varchar(50)
    ,ReleaseDateTimeTransformSID bigint
    ,VerificationDateTime datetime2(0)
    ,VerificationVistaErrorDate varchar(50)
    ,VerificationDateTimeTransformSID bigint
    ,VerifiedByStaffSID int
    ,DictationDateTime datetime2(0)
    ,DictationVistaErrorDate varchar(50)
    ,DictationDateTimeTransformSID bigint
    ,SuspenseDateTime datetime2(0)
    ,SuspenseVistaErrorDate varchar(50)
    ,SuspenseDateTimeTransformSID bigint
    ,PatientTransferSID bigint
    ,TreatingSpecialtySID int
    ,TIUIncompleteRecordSID bigint
    ,ServiceSectionSID int
    ,ConsultSID bigint
    ,RetractedOriginalTIUDocumentSID bigint
    ,SignatureDateTime datetime2(0)
    ,SignatureVistaErrorDate varchar(50)
    ,SignatureDateTimeTransformSID bigint
    ,SignatureMode varchar(50)
    ,SignedByStaffSID int
    ,SignedOnChartByStaffSID int
    ,CosignatureNeededFlag char(1)
    ,CosignatureDateTime datetime2(0)
    ,CosignatureVistaErrorDate varchar(50)
    ,CosignatureDateTimeTransformSID bigint
    ,CosignatureMode varchar(50)
    ,CosignedByStaffSID int
    ,CosignedOnChartByStaffSID int
    ,AmendmentDateTime datetime2(0)
    ,AmendmentVistaErrorDate varchar(50)
    ,AmendmentDateTimeTransformSID bigint
    ,AmendedByStaffSID int
    ,AmendmentSignedDateTime datetime2(0)
    ,AmendmentSignedVistaErrorDate varchar(50)
    ,AmendmentSignedDateTimeTransformSID bigint
    ,AdministrativeClosureDateTime datetime2(0)
    ,AdministrativeClosureVistaErrorDate varchar(50)
    ,AdministrativeClosureDateTimeTransformSID bigint
    ,AdministrativeClosureMode varchar(50)
    ,ArchivePurgeDateTime datetime2(0)
    ,ArchivePurgeVistaErrorDate varchar(50)
    ,ArchivePurgeDateTimeTransformSID bigint
    ,DeletedByStaffSID int
    ,DeletionDateTime datetime2(0)
    ,DeletionVistaErrorDate varchar(50)
    ,DeletionDateTimeTransformSID bigint
    ,DeletionReason varchar(50)
    ,DocumentSubject varchar(100)
    ,InterdisciplinaryParentTIUDocumentSID bigint
    ,ProcedureSummaryCode varchar(50)
    ,ProcedureDateTime datetime2(0)
    ,ProcedureVistaErrorDate varchar(50)
    ,ProcedureDateTimeTransformSID bigint
    ,AmendedByStaffIEN varchar(50)
    ,AttendingPhysicianStaffIEN varchar(50)
    ,AuthorDictatorStaffIEN varchar(50)
    ,ConsultIEN varchar(50)
    ,CosignedByStaffIEN varchar(50)
    ,CosignedOnChartByStaffIEN varchar(50)
    ,CPRSOrderIEN varchar(50)
    ,DeletedByStaffIEN varchar(50)
    ,DocumentLocationIEN varchar(50)
    ,EnteredByStaffIEN varchar(50)
    ,ExpectedCosignerStaffIEN varchar(50)
    ,ExpectedSignerStaffIEN varchar(50)
    ,InstitutionIEN varchar(50)
    ,InterdisciplinaryParentTIUDocumentIEN varchar(50)
    ,ParentTIUDocumentDefinitionIEN varchar(50)
    ,ParentTIUDocumentIEN varchar(50)
    ,PatientIEN varchar(50)
    ,PatientMovementIEN varchar(50)
    ,RetractedOriginalTIUDocumentIEN varchar(50)
    ,SecondaryVisitIEN varchar(50)
    ,ServiceSectionIEN varchar(50)
    ,SignedByStaffIEN varchar(50)
    ,SignedOnChartByStaffIEN varchar(50)
    ,TIUDocumentDefinitionIEN varchar(50)
    ,TIUIncompleteRecordIEN varchar(50)
    ,TIUStatusIEN varchar(50)
    ,TreatingSpecialtyIEN varchar(50)
    ,VerifiedByStaffIEN varchar(50)
    ,VisitIEN varchar(50)
    ,ETLBatchID int
    ,OpCode char(1)
    ,VistaCreateDate datetime
    ,VistaEditDate datetime 
	,ExtractBatchID int
	,TIUDocumentDefinition varchar(50)  --pulling from the DIM.TIUDocumentDefintions table on a join; this is the only field we need
	,BatchLogID					bigint
		  

--Raw table specific: Any fields beyond this point are EPRS specific fields/FKs 
									
	,TIUDocumentDefinitionID				int				
	,ParentTIUDocumentDefinitonID		int				
	,PatientID							bigint				
	,StationID							smallint			
	,InstitutionID						tinyint				
	,DocumentLocationID					int				
	,ConsultID							bigint			 
	,TIUStatusID							tinyint				
	,ReportUrgencyID						smallint			
	,SignedByStaffUserID					bigint			
	,RecordStatusID					tinyint								
	--primary key
		

	--unique key (if any)
		
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	WITH (DATA_COMPRESSION = PAGE)

GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field


