﻿CREATE TABLE zraw._ccramrc_icddx 
(
	--source: A06, CDWWork, CCRA.mrc_icddx

	--fields
    [station__no]  VARCHAR (30)    NOT NULL,
	[mrcid_rowid] [bigint] NULL,
	[mrcid_code] [varchar](8000) NULL,
	[mrcid_desc] [varchar](8000) NULL,
	[mrcid_shortdesc] [varchar](8000) NULL,
	[mrcid_insdesc] [varchar](8000) NULL,
	[mrcid_icd9cm_code] [varchar](8000) NULL,
	[mrcid_maxwaitperiod] [numeric](28, 6) NULL,
	[mrcid_dateactivefrom] [datetime2](7) NULL,
	[mrcid_dateactiveto] [datetime2](7) NULL,
	[mrcid_agefrom] [varchar](8000) NULL,
	[mrcid_ageto] [varchar](8000) NULL,
	[mrcid_sex_dr] [bigint] NULL,
	[mrcid_billsub1_dr] [varchar](8000) NULL,
	[mrcid_billsub2_dr] [varchar](8000) NULL,
	[mrcid_billflag1] [varchar](8000) NULL,
	[mrcid_billflag2] [varchar](8000) NULL,
	[mrcid_billflag3] [varchar](8000) NULL,
	[mrcid_payorgroup_dr] [bigint] NULL,
	[mrcid_seriousdis] [varchar](8000) NULL,
	[mrcid_bodysysprobstat_dr] [bigint] NULL,
	[mrcid_bodyarea_dr] [bigint] NULL,
	[mrcid_age2from] [varchar](8000) NULL,
	[mrcid_age2to] [varchar](8000) NULL,
	[mrcid_agechecktype] [varchar](8000) NULL,
	[mrcid_sexchecktype] [varchar](8000) NULL,
	[mrcid_age2checktype] [varchar](8000) NULL,
	[mrcid_externalcause] [varchar](8000) NULL,
	[mrcid_unacceptablepdx] [varchar](8000) NULL,
	[mrcid_valid] [varchar](8000) NULL,
	[mrcid_sexchecktypedr] [bigint] NULL,
	[mrcid_agechecktype1dr] [bigint] NULL,
	[mrcid_agechecktype2_dr] [bigint] NULL,
	[mrcid_areacoderestraintdr] [bigint] NULL,
	[mrcid_daggernasteriskeditdr] [bigint] NULL,
	[mrcid_additionalcodereqdr] [bigint] NULL,
	[mrcid_codingpracticesdr] [bigint] NULL,
	[mrcid_icd9_map] [varchar](8000) NULL,
	[mrcid_longdescription] [varchar](8000) NULL,
	[mrcid_alternatedesc] [varchar](8000) NULL,
	[mrcid_morphologycode] [varchar](8000) NULL,
	[mrcid_cancer] [varchar](8000) NULL,
	[mrcid_metastaticsite] [varchar](8000) NULL,
	[mrcid_injurypoisoningcode] [varchar](8000) NULL,
	[mrcid_validmcodeext] [varchar](8000) NULL,
	[mrcid_2ndcodeinpair] [varchar](8000) NULL,
	[mrcid_allowtoduplicate] [varchar](8000) NULL,
	[mrcid_diaggroup1_dr] [bigint] NULL,
	[mrcid_generateges] [varchar](8000) NULL,
	[mrcid_episodetype] [varchar](8000) NULL,
	[mrcid_owner] [varchar](8000) NULL,
	[mrcid_codetabletags] [varchar](8000) NULL,
	[mrcid_diaggroup2] [varchar](8000) NULL,
	[mrcid_codchapter_dr] [bigint] NULL,
	[mrcid_codchapterblock_dr] [varchar](8000) NULL,
	[mrcid_codchapterblockcateg_dr] [varchar](8000) NULL,
	[mrcid_createddate] [datetime2](7) NULL,
	[mrcid_createdtime] [time](7) NULL,
	[mrcid_createduser_dr] [bigint] NULL,
	[mrcid_updateddate] [datetime2](7) NULL,
	[mrcid_updatedtime] [time](7) NULL,
	[mrcid_updateduser_dr] [bigint] NULL,
    [thread__id]                   NUMERIC (18,0)    NOT NULL,
 	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression
	--commenting compression in.  table has over 69K records
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
