﻿CREATE TABLE zraw._ccrapa_adminsurance
(
	--source: A06, CDWWork, CCRA.pa_adminsurance

	--fields
    [station__no]                  VARCHAR (30)    NOT NULL,
    [INS_ParRef]                   BIGINT          NULL,
    [INS_RowId]                    VARCHAR (8000)  NULL,
    [INS_Childsub]                 NUMERIC (28, 6) NULL,
    [INS_InsType_DR]               BIGINT          NULL,
    [INS_InsAssoc_DR]              BIGINT          NULL,
    [INS_DateValidFrom]            DATETIME2 (7)   NULL,
    [INS_DateValidTo]              DATETIME2 (7)   NULL,
    [INS_DateFirstHaveInsur]       DATETIME2 (7)   NULL,
    [INS_CardNo]                   VARCHAR (8000)  NULL,
    [INS_CardholderName]           VARCHAR (8000)  NULL,
    [INS_CardholderId]             VARCHAR (8000)  NULL,
    [INS_CTREL_DR]                 BIGINT          NULL,
    [INS_AuxInsType_DR]            BIGINT          NULL,
    [INS_ContactInsurCo]           VARCHAR (8000)  NULL,
    [INS_ApprovedGuarDate]         DATETIME2 (7)   NULL,
    [INS_AccidentDate]             DATETIME2 (7)   NULL,
    [INS_CarRegoNo]                VARCHAR (8000)  NULL,
    [INS_CaseClaimNo]              VARCHAR (8000)  NULL,
    [INS_NotificationDate]         DATETIME2 (7)   NULL,
    [INS_EstimIPStartDate]         DATETIME2 (7)   NULL,
    [INS_EstimIPEndDate]           DATETIME2 (7)   NULL,
    [INS_EstimOPStartDate]         DATETIME2 (7)   NULL,
    [INS_EstimOPEndDate]           DATETIME2 (7)   NULL,
    [INS_DateTypeFrom]             DATETIME2 (7)   NULL,
    [INS_DateTypeTo]               DATETIME2 (7)   NULL,
    [INS_MainInsuranceFlag]        VARCHAR (8000)  NULL,
    [INS_CardholderAddress]        VARCHAR (8000)  NULL,
    [INS_CardholderCity_DR]        BIGINT          NULL,
    [INS_CardholderZip_DR]         BIGINT          NULL,
    [INS_Rank]                     VARCHAR (8000)  NULL,
    [INS_AuthorizationCode]        VARCHAR (8000)  NULL,
    [INS_DailyCover]               VARCHAR (8000)  NULL,
    [INS_TotalChargeCover]         VARCHAR (8000)  NULL,
    [INS_StampDutyPercentage]      VARCHAR (8000)  NULL,
    [INS_Excess]                   VARCHAR (8000)  NULL,
    [INS_DailyICUCover]            NUMERIC (28, 6) NULL,
    [INS_PayorShare]               NUMERIC (28, 6) NULL,
    [INS_PayFrom]                  NUMERIC (28, 6) NULL,
    [INS_PayUntill]                NUMERIC (28, 6) NULL,
    [INS_FixedPatShare]            NUMERIC (28, 6) NULL,
    [INS_CardType_DR]              BIGINT          NULL,
    [INS_ConcessionCardNo]         VARCHAR (8000)  NULL,
    [INS_ConcessionCardExpDate]    DATETIME2 (7)   NULL,
    [INS_SafetyNetCardNo]          VARCHAR (8000)  NULL,
    [INS_SafetyNetCardExpDate]     DATETIME2 (7)   NULL,
    [INS_PayorContactType_DR]      BIGINT          NULL,
    [INS_DVAnumber]                VARCHAR (8000)  NULL,
    [INS_DailyCopaymentAmt]        NUMERIC (28, 6) NULL,
    [INS_MaxCopaymentAmt]          NUMERIC (28, 6) NULL,
    [INS_ApplyGST]                 VARCHAR (8000)  NULL,
    [INS_SharedRoomCopaymentAmt]   NUMERIC (28, 6) NULL,
    [INS_TimeFrom]                 TIME (7)        NULL,
    [INS_TimeTo]                   TIME (7)        NULL,
    [INS_UpdateDate]               DATETIME2 (7)   NULL,
    [INS_UpdateTime]               TIME (7)        NULL,
    [INS_UpdateUser_DR]            BIGINT          NULL,
    [INS_UpdateUserHospital_DR]    BIGINT          NULL,
    [INS_PayorVariationComments]   VARCHAR (8000)  NULL,
    [INS_CardInitDate]             DATETIME2 (7)   NULL,
    [INS_UseOwnTariff]             VARCHAR (8000)  NULL,
    [INS_SurmountingPercentage]    NUMERIC (28, 6) NULL,
    [INS_SurmountingLimit]         NUMERIC (28, 6) NULL,
    [INS_SurmountingAmount]        NUMERIC (28, 6) NULL,
    [INS_CoPaymentPercentage]      NUMERIC (28, 6) NULL,
    [INS_MaxAmountPercentage]      NUMERIC (28, 6) NULL,
    [INS_MinSurmountAmt]           NUMERIC (28, 6) NULL,
    [INS_OfficeNo]                 VARCHAR (8000)  NULL,
    [INS_RoyalOrderNo]             VARCHAR (8000)  NULL,
    [INS_RoyalOrder_DR]            VARCHAR (8000)  NULL,
    [INS_AccomRate]                NUMERIC (28, 6) NULL,
    [INS_VCFeeRate]                NUMERIC (28, 6) NULL,
    [INS_MaxDailyAmount]           NUMERIC (28, 6) NULL,
    [INS_ApplyShareTotalAmount]    VARCHAR (8000)  NULL,
    [INS_CopiedIns_DR]             VARCHAR (8000)  NULL,
    [INS_PersonPackage_DR]         VARCHAR (8000)  NULL,
    [INS_RoomType_DR]              BIGINT          NULL,
    [INS_AutoAssignedFlg]          VARCHAR (8000)  NULL,
    [INS_AdminCategory_DR]         BIGINT          NULL,
    [INS_CommReportedDate]         DATETIME2 (7)   NULL,
    [INS_CompensationClaim]        VARCHAR (8000)  NULL,
    [INS_MaxCopaymentDays]         NUMERIC (28, 6) NULL,
    [INS_DailyPrivRoomCopayment]   NUMERIC (28, 6) NULL,
    [INS_MaxPrivRoomCopaymentDays] NUMERIC (28, 6) NULL,
    [INS_SameDayCopayment]         NUMERIC (28, 6) NULL,
    [INS_TheatreCopayment]         NUMERIC (28, 6) NULL,
    [thread__id]                   NUMERIC (18)    NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	WITH (DATA_COMPRESSION = PAGE)			--if less than 10,000 rows, don't need compression
	
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
