﻿CREATE TABLE zraw._ccrapa_patmas 
(
	--source: A06, CDWWork, CCRA.pa_patmas

	--fields
    [station__no]  VARCHAR (30)    NOT NULL,
	[papmi_rowid1] [bigint] NULL,
	[papmi_no] [varchar](8000) NULL,
	[papmi_id] [varchar](8000) NULL,
	[papmi_name] [varchar](8000) NULL,
	[papmi_name2] [varchar](8000) NULL,
	[papmi_alias] [varchar](8000) NULL,
	[papmi_foreignphoneno] [varchar](8000) NULL,
	[papmi_ipno] [varchar](8000) NULL,
	[papmi_opno] [varchar](8000) NULL,
	[papmi_dob] [datetime2](7) NULL,
	[papmi_estageyear] [numeric](28, 6) NULL,
	[papmi_estagemonth] [numeric](28, 6) NULL,
	[papmi_estagetmstmp] [datetime2](7) NULL,
	[papmi_sex_dr] [bigint] NULL,
	[papmi_soundex] [varchar](8000) NULL,
	[papmi_langprim_dr] [bigint] NULL,
	[papmi_active] [varchar](8000) NULL,
	[papmi_patcategory_dr] [bigint] NULL,
	[papmi_homeclinicno] [varchar](8000) NULL,
	[papmi_nxtopadmno] [numeric](28, 6) NULL,
	[papmi_langprintdr] [varchar](8000) NULL,
	[papmi_remark] [varchar](8000) NULL,
	[papmi_langseconddr] [bigint] NULL,
	[papmi_deceased] [varchar](8000) NULL,
	[papmi_deceased_date] [datetime2](7) NULL,
	[papmi_lookupdisplay] [varchar](8000) NULL,
	[papmi_deceasedtime] [time](7) NULL,
	[papmi_surname] [varchar](8000) NULL,
	[papmi_indexmark] [varchar](8000) NULL,
	[papmi_paper_dr] [bigint] NULL,
	[papmi_blacklist] [varchar](8000) NULL,
	[papmi_mother_dr] [bigint] NULL,
	[papmi_refdoc_dr] [bigint] NULL,
	[papmi_medicare] [varchar](8000) NULL,
	[papmi_name3] [varchar](8000) NULL,
	[papmi_refund] [varchar](8000) NULL,
	[papmi_medicarestring] [varchar](8000) NULL,
	[papmi_userupdate] [bigint] NULL,
	[papmi_tracestatus_dr] [bigint] NULL,
	[papmi_medicaresuffix_dr] [bigint] NULL,
	[papmi_medicarecode] [varchar](8000) NULL,
	[papmi_allergy] [varchar](8000) NULL,
	[papmi_eprdescription] [varchar](8000) NULL,
	[papmi_concessioncardno] [varchar](8000) NULL,
	[papmi_concessioncardexpdate] [datetime2](7) NULL,
	[papmi_safetynetcardno] [varchar](8000) NULL,
	[papmi_safetynetcardexpdate] [datetime2](7) NULL,
	[papmi_dvanumber] [varchar](8000) NULL,
	[papmi_cardtype_dr] [bigint] NULL,
	[papmi_medicareexpdate] [datetime2](7) NULL,
	[papmi_chcpatient] [varchar](8000) NULL,
	[papmi_estimateddeathdate] [varchar](8000) NULL,
	[papmi_batallion] [varchar](8000) NULL,
	[papmi_healthfundno] [varchar](8000) NULL,
	[papmi_countryofbirth_dr] [bigint] NULL,
	[papmi_title_dr] [bigint] NULL,
	[papmi_preflanguage_dr] [bigint] NULL,
	[papmi_ct_region_dr] [bigint] NULL,
	[papmi_ct_province_dr] [bigint] NULL,
	[papmi_governcardno] [varchar](8000) NULL,
	[papmi_insurancecardholder] [varchar](8000) NULL,
	[papmi_cityarea_dr] [bigint] NULL,
	[papmi_responsibleforpayment] [bigint] NULL,
	[papmi_secondphone] [varchar](8000) NULL,
	[papmi_email] [varchar](8000) NULL,
	[papmi_mobphone] [varchar](8000) NULL,
	[papmi_auxinstype_dr] [bigint] NULL,
	[papmi_indigstat_dr] [bigint] NULL,
	[papmi_gptext] [varchar](8000) NULL,
	[papmi_dentist_dr] [bigint] NULL,
	[papmi_dentistclinic_dr] [varchar](8000) NULL,
	[papmi_vipflag] [varchar](8000) NULL,
	[papmi_gporgaddress] [varchar](8000) NULL,
	[papmi_citybirth_dr] [bigint] NULL,
	[papmi_ct_hca_dr] [bigint] NULL,
	[papmi_requireassistancemeal] [varchar](8000) NULL,
	[papmi_requireassistancemenu] [varchar](8000) NULL,
	[papmi_pensiontype_dr] [bigint] NULL,
	[papmi_mother1_dr] [bigint] NULL,
	[papmi_healthcardexpirydate] [datetime2](7) NULL,
	[papmi_name4] [varchar](8000) NULL,
	[papmi_name5] [varchar](8000) NULL,
	[papmi_name6] [varchar](8000) NULL,
	[papmi_name7] [varchar](8000) NULL,
	[papmi_name8] [varchar](8000) NULL,
	[papmi_patientfundupi] [numeric](28, 6) NULL,
	[papmi_checkmedicare] [varchar](8000) NULL,
	[papmi_checkfund] [varchar](8000) NULL,
	[papmi_checkepv] [varchar](8000) NULL,
	[papmi_payorverifieddate] [datetime2](7) NULL,
	[papmi_rowid] [bigint] NULL,
    [thread__id]                   NUMERIC (18,0)    NOT NULL,
 	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression
	--commenting compression in.  table has over 22K records
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
