﻿CREATE TABLE [zraw].[_conConsultActivity] (
    [ConsultActivitySID]                BIGINT        NOT NULL,
    [ConsultActivityIEN]                VARCHAR (50)  NOT NULL,
    [ConsultSID]                        BIGINT        NULL,
    [Sta3n]                             SMALLINT      NOT NULL,
    [PatientSID]                        INT           NULL,
    [RequestDateTime]                   DATETIME2 (7) NULL,
    [RequestVistaErrorDate]             VARCHAR (50)  NULL,
    [RequestDateTimeTransformSID]       BIGINT        NULL,
    [RequestDateSID]                    INT           NULL,
    [ActivityDateTime]                  DATETIME2 (7) NULL,
    [ActivityVistaErrorDate]            VARCHAR (50)  NULL,
    [ActivityDateTimeTransformSID]      BIGINT        NULL,
    [ActivityDateSID]                   INT           NULL,
    [ActivityEntryDateTime]             DATETIME2 (7) NULL,
    [ActivityEntryVistaErrorDate]       VARCHAR (50)  NULL,
    [ActivityEntryDateTimeTransformSID] BIGINT        NULL,
    [ActivityTypeSID]                   INT           NULL,
    [Activity]                          VARCHAR (100) NULL,
    [FromRequestServiceSID]             INT           NULL,
    [FromRequestService]                VARCHAR (100) NULL,
    [TIUDocumentSID]                    BIGINT        NULL,
    [RemoteFilingDateTime]              DATETIME2 (7) NULL,
    [RemoteFilingVistaErrorDate]        VARCHAR (50)  NULL,
    [RemoteFilingDateTimeTransformSID]  BIGINT        NULL,
    [PreviousAssignedStaffSID]          INT           NULL,
    [RemoteResultSta3n]                 SMALLINT      NULL,
    [RemoteTimeZone]                    VARCHAR (50)  NULL,
    [RemoteTIUDocumentSID]              BIGINT        NULL,
    [RemoteServiceName]                 VARCHAR (100) NULL,
    [ResponsibleStaffSID]               INT           NULL,
    [EnteredByStaffSID]                 INT           NULL,
    [EnteredByStaffIEN]                 VARCHAR (50)  NULL,
    [ConsultIEN]                        VARCHAR (50)  NOT NULL,
    [FromRequestServiceIEN]             VARCHAR (50)  NULL,
    [PatientIEN]                        VARCHAR (50)  NULL,
    [PreviousAssignedStaffIEN]          VARCHAR (50)  NULL,
    [RemoteTIUDocumentIEN]              VARCHAR (50)  NULL,
    [ResponsibleStaffIEN]               VARCHAR (50)  NULL,
    [TIUDocumentIEN]                    VARCHAR (50)  NULL,
    [ETLBatchID]                        BIGINT        NULL,
    [OpCode]                            CHAR (1)      NOT NULL,
    [VistaCreateDate]                   DATETIME      NULL,
    [VistaEditDate]                     DATETIME      NULL,
    [ExtractBatchID]                    BIGINT        NULL,
    [BatchLogID]                        BIGINT        NULL
--primary key
	
	--unique key (if any)
) 

	--when using clustered columnstore index, can't set data compression to PAGE
	WITH (DATA_COMPRESSION = PAGE)

GO

--foreign keys

--indexes
CREATE NONCLUSTERED INDEX IX_conConsult_ConsultActivitySID ON zraw._conConsultActivity
	(
	ConsultActivitySID
	) WITH (
		PAD_INDEX = ON,				--If want to use a Fill Factor, then PAD_INDEX must = ON 
		FILLFACTOR = 100,			--100 = max fill; set to 90 if going to insert new values incrementally; 100 if doing bulk load
		SORT_IN_TEMPDB = ON,		-- sorts the index in the TempDB; default = OFF
		IGNORE_DUP_KEY = OFF,
		STATISTICS_NORECOMPUTE = OFF,
		STATISTICS_INCREMENTAL = OFF,
		DROP_EXISTING = OFF, 
		ONLINE = OFF,
		ALLOW_ROW_LOCKS = ON, 
		ALLOW_PAGE_LOCKS = ON,
		MAXDOP = 0,					--degrees of parallelism, controls how many CPUs to use; 0 = default (all available), max = 64
		DATA_COMPRESSION = PAGE		--use page compression; default = NONE
	)
	ON CoreIndex
GO

CREATE NONCLUSTERED INDEX IX_conConsultactivity_BatchLogID ON zraw._conConsultActivity
	(
	BatchLogID
	) WITH (
		PAD_INDEX = ON,				--If want to use a Fill Factor, then PAD_INDEX must = ON 
		FILLFACTOR = 100,			--100 = max fill; set to 90 if going to insert new values incrementally; 100 if doing bulk load
		SORT_IN_TEMPDB = ON,		-- sorts the index in the TempDB; default = OFF
		IGNORE_DUP_KEY = OFF,
		STATISTICS_NORECOMPUTE = OFF,
		STATISTICS_INCREMENTAL = OFF,
		DROP_EXISTING = OFF, 
		ONLINE = OFF,
		ALLOW_ROW_LOCKS = ON, 
		ALLOW_PAGE_LOCKS = ON,
		MAXDOP = 0,					--degrees of parallelism, controls how many CPUs to use; 0 = default (all available), max = 64
		DATA_COMPRESSION = PAGE		--use page compression; default = NONE
	)
	ON CoreIndex
GO

--constraints

--Metadata descriptions for each field


