﻿CREATE TABLE zraw._dimAssociatedStopCode
(
	--source: A01/SQL52, SPV.Dim.AssociatedStopCode

	--fields
	AssociatedStopCodeSID	int   NOT NULL,
    AssociatedStopCodeIEN	varchar(50)     NULL,
    RequestServiceSID		int     NULL,
    RequestServiceIEN		varchar(50)     NULL,
    Sta3n					smallint     NULL,
    StopCodeIEN				varchar(50)     NULL,
    StopCodeSID				int     NULL,
    StopCode				smallint     NULL,
    ETLBatchID				int     NULL,
    OpCode					char(1)     NULL,
    VistaCreateDate			datetime     NULL,
    VistaEditDate			datetime     NULL,
	ExtractBatchID			BIGINT       NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			        BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	RequestServiceID		smallint NULL,		--this needs to be aligned with the station6A stationID found in RequestServices
	StopCodeID				int NULL,
	RecordStatusID			tinyint NULL,
	IsCommunityCareRelated	bit NULL,

	--primary key

	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	WITH (DATA_COMPRESSION = PAGE)

GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
