﻿CREATE TABLE zraw._dimLocation
(
	--source: 

	--fields

	LocationSID					int   NOT NULL,
	LocationIEN					varchar (50) NOT NULL,
	Sta3n						smallint   NOT NULL,
	LocationName				varchar (50) NULL,
	LocationAbbreviation		varchar (50) NULL,
	LocationType				varchar (50) NULL,
	PhoneNumber					varchar (50) NULL,
	PhoneNumberExtension		varchar (50) NULL,
	CollateralVisitFlag			char (1) NULL,
	ProhibitedAccessFlag		char (1) NULL,
	ClinicAtInstitutionFlag		char (1) NULL,
	ExtensionLocationTypeSID	int   NULL,
	ClinicGroupSID				int   NULL,
	VisitLocation				varchar (50) NULL,
	PrimaryStopCodeSID			int   NULL,
	SecondaryStopCodeSID		int   NULL,
	MedicalService				varchar (50) NULL,
	TreatingSpecialtySID		int   NULL,
	PhysicalLocation			varchar (50) NULL,
	SpecialAMISStop				varchar (50) NULL,
	CategoryOfVisit				varchar (50) NULL,
	DefaultProviderSID			int   NULL,
	AgencySID					int   NULL,
	WardLocationSID				int   NULL,
	AppointmentLength			smallint   NULL,
	NoncountClinicFlag			char (1) NULL,
	InactivationDate			date   NULL,
	InactivationVistaErrorDate	varchar (50) NULL,
	InactivationDateTransformSID	bigint   NULL,
	ReactivationDate			date   NULL,
	ReactivationVistaErrorDate	varchar (50) NULL,
	ReactivationDateTransformSID	bigint   NULL,
	DivisionSID					smallint   NULL,
	InstitutionSID				int   NULL,
	PrincipalLocationSID		int   NULL,
	PharmacySiteSID				int   NULL,
	PharmacyActionProfileFlag	char (1) NULL,
	InpatientMedAdministrationFlag	char (1) NULL,
	VariableAppointmentLengthFlag	char (1) NULL,
	HolidayFlag					char (1) NULL,
	OccasionOfServiceClinicFlag	char (1) NULL,
	OccasionOfServiceVistaPackageSID	int   NULL,
	DefaultAppointmentTypeSID	smallint   NULL,
	CountWorkloadValidationFlag	char (1) NULL,
	PatientFriendlyLocationName	varchar (100) NULL,
	DirectPatientSchedulingFlag	char (1) NULL,
	DisplayAppointmentFlag		char (1) NULL,
	XRayFilmRequiredFlag		char (1) NULL,
	AskForCheckInOutTimeFlag	char (1) NULL,
	PreviousYearStopCodeSID		int   NULL,
	PreviousYearCreditStopCodeSID	int   NULL,
	DefaultToPrimaryCarePractitionerFlag	char (1) NULL,
	NoShowLetterSID				int   NULL,
	PreAppointmentLetterSID		int   NULL,
	ClinicCancellationLetterSID	int   NULL,
	AppointmentCancellationLetterSID	int   NULL,
	AllowableConsecutiveNoShowAppointment	smallint   NULL,
	ClinicStartHour				smallint   NULL,
	SchedulingSlotHoldDays		smallint   NULL,
	MaximumOverbooksPerDay		smallint   NULL,
	DisplayIncrementsPerHour	varchar (50) NULL,
	FutureBookingMaximumDays	smallint   NULL,
	AutoRebookStartHour			smallint   NULL,
	AutoRebookMaximumDays		smallint   NULL,
	AgencyIEN					varchar (50) NULL,
	AppointmentCancellationLetterIEN	varchar (50) NULL,
	ClinicCancellationLetterIEN	varchar (50) NULL,
	ClinicGroupIEN				varchar (50) NULL,
	DefaultAppointmentTypeIEN	varchar (50) NULL,
	DefaultProviderIEN			varchar (50) NULL,
	DivisionIEN					varchar (50) NULL,
	ExtensionLocationTypeIEN	varchar (50) NULL,
	InstitutionIEN				varchar (50) NULL,
	NoShowLetterIEN				varchar (50) NULL,
	OccasionOfServiceVistaPackageIEN	varchar (50) NULL,
	PharmacySiteIEN				varchar (50) NULL,
	PreAppointmentLetterIEN		varchar (50) NULL,
	PreviousYearCreditStopCodeIEN	varchar (50) NULL,
	PreviousYearStopCodeIEN		varchar (50) NULL,
	PrimaryStopCodeIEN			varchar (50) NULL,
	PrincipalLocationIEN		varchar (50) NULL,
	SecondaryStopCodeIEN		varchar (50) NULL,
	TreatingSpecialtyIEN		varchar (50) NULL,
	WardLocationIEN				varchar (50) NULL,
	ExtractBatchID					int   NULL,
	OpCode						char (1) NOT NULL,
	VistaCreateDate				datetime   NULL,
	VistaEditDate				datetime   NULL,
	BatchLogID					bigint,
--Raw table specific: Any fields beyond this point are EPRS specific fields/FKs 

	--primary key

	StationID						smallint NULL,					--EPRS assigned (FK), referencess Stations
	RegionID						tinyint  NULL,					--EPRS assigned (FK), referencess Regions
	InstitutionID					tinyint		NULL,					--EPRS assigned (FK), referencess Institutions
	PrimaryStopCodeID				int	 NULL,					--EPRS assigned (FK), referencess StopCodes
	SecondaryStopCodeID				int	 NULL,					--EPRS assigned (FK), referencess StopCodes
	RecordStatusID					tinyint								NULL,		--EPRS assigned (Fk), referencess RecordStatuses


	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	WITH (DATA_COMPRESSION = PAGE)

GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
