﻿CREATE TABLE zraw._dimProtocol
(
	--source: A01/SQL52, SPV.Dim.Procotol

	--fields
	ProtocolSID						int
    ,ProtocolIEN					varchar(50)
    ,Sta3n							smallint
    ,Protocol						varchar(50)
    ,ItemText						varchar(100)
    ,PrintName						varchar(50)
    ,[Disable]						varchar(50)
    ,Lock							varchar(50)
    ,ProhibitedTimes				varchar(50)
    ,ProtocolType					varchar(50)
    ,CreatorStaffIEN				varchar(50)
    ,CreatorStaffSID				int
    ,MenuOptionIEN					varchar(50)
    ,LabChemTestIEN					varchar(50)
    ,TopographyIEN					varchar(50)
    ,CollectionSampleIEN			varchar(50)
    ,UrgencyIEN						varchar(50)
    ,ExecuteCodeIEN					varchar(50)
    ,RadiologyProcedureIEN			varchar(50)
    ,RequestActionTypeIEN			varchar(50)
    ,RequestServiceIEN				varchar(50)
    ,Cost							money
    ,VistaPackageIEN				varchar(50)
    ,VistaPackageSID				int
    ,VistaPackage					varchar(50)
    ,MenuPrompt						varchar(255)
    ,MenuDefault					varchar(255)
    ,DICDIC							varchar(100)
    ,ColumnWidth					decimal(9, 4)
    ,MnemonicWidth					decimal(9, 4)
    ,PathSwitchFlag					char(1)
    ,Identifier						varchar(100)
    ,MenuLastChanged				varchar(50)
    ,RequiresSignature				varchar(50)
    ,DomainDataType					varchar(50)
    ,DefaultPrompt					varchar(50)
    ,DefaultAnswer					varchar(100)
    ,DefaultHelp					varchar(100)
    ,DomainParameter				varchar(100)
    ,SendingApplicationIEN			varchar(50)
    ,SendingApplication				varchar(50)
    ,ResponseMessageTypeIEN			varchar(50)
    ,ResponseMessageType			varchar(50)
    ,BatchFileMessageCommitAckFlag	char(1)
    ,ReceivingApplicationIEN		varchar(50)
    ,ReceivingApplication			varchar(50)
    ,TransactionMessageTypeIEN		varchar(50)
    ,TransactionMessageType			varchar(50)
    ,EventTypeIEN					varchar(50)
    ,EventType						varchar(50)
    ,MessageStructureIEN			varchar(50)
    ,MessageStructure				varchar(50)
    ,ProcessingID					varchar(50)
    ,LogicalLinkIEN					varchar(50)
    ,LogicalLink					varchar(50)
    ,AcceptAckCodeIEN				varchar(50)
    ,AcceptAckCode					varchar(50)
    ,ApplicationAckTypeIEN			varchar(50)
    ,ApplicationAckType				varchar(50)
    ,VersionIDIEN					varchar(50)
    ,VersionID						varchar(50)
    ,SendingFacilityRequiredFlag	char(1)
    ,ReceivingFacilityRequiredFlag	char(1)
    ,SecurityRequiredFlag			char(1)
    ,DateTimeOfMessageRequiredFlag	char(1)
    ,AckModeSetInSubscriberFlag		char(1)
    ,ETLBatchID						int
    ,OpCode							char(1)
    ,VistaCreateDate				datetime
    ,VistaEditDate					datetime
	,ExtractBatchID					int
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	,BatchLogID			        BIGINT
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	,StationID			[smallint] NULL				--EPRS assigned (FK), Stations table
	,RegionID		[tinyint]
	,RecordStatusID					tinyint								NULL,		--EPRS assigned (Fk), referencess RecordStatuses
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index can't set data compression to PAGE
	WITH (DATA_COMPRESSION = PAGE)

GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field





