﻿CREATE TABLE zraw._dimRequestService
(
	--source: A01/SQL52, SPV.Dim.RequestService

	--fields
	RequestServiceSID					int				NOT NULL,
    RequestServiceIEN					varchar(50)     NOT NULL,
    Sta3n								smallint		NULL,
    ServiceName							varchar(100)    NULL,
    UnrestrictedAccessFlag				char(1)			NULL,
    ProcessParentsForUpdatesFlag		char(1)			NULL,
    ProcessParentsForNotificationsFlag	char(1)			NULL,
    ProvisionalDxPrompt					varchar(50)     NULL,
    ProvisionalDxInput					varchar(50)     NULL,
    RestrictDefaultReasonEdit			varchar(50)     NULL,
    NotifyServiceOnDiscontinue			varchar(50)     NULL,
    ResultManagementUserClassIEN		varchar(50)     NULL,
    ResultManagementUserClassSID		int				NULL,
    ResultManagementUserClass			varchar(50)     NULL,
    ServiceAbbreviation					varchar(50)     NULL,
    ServiceUsage						varchar(50)     NULL,
    DisableMessage						varchar(100)    NULL,
    CreatorStaffIEN						varchar(50)     NULL,
    CreatorStaffSID						int				NULL,
    InternalName						varchar(100)    NULL,
    RelatedTreatingSpecialtyIEN			varchar(50)     NULL,
    RelatedTreatingSpecialtySID			int				NULL,
    RelatedTreatingSpecialty			varchar(50)     NULL,
    RelatedServiceSectionIEN			varchar(50)     NULL,
    RelatedServiceSectionSID			int				NULL,
    RelatedServiceSection				varchar(50)     NULL,
    NotifyStaffIEN						varchar(50)     NULL,
    NotifyStaffSID						int				NULL,
    SpecialUpdatesStaffIEN				varchar(50)     NULL,
    SpecialUpdatesStaffSID				int				NULL,
    ProstheticsServiceFlag				char(1)			NULL,
    IFCRoutingInstitutionIEN			varchar(50)     NULL,
    IFCRoutingInstitutionSID			int				NULL,
    IFCRoutingInstitution				varchar(50)     NULL,
    IFCRemoteServiceName				varchar(100)    NULL,
    IFCCoordinatorStaffIEN				varchar(50)     NULL,
    IFCCoordinatorStaffSID				int				NULL,
    AdministrativeFlag					char(1)			NULL,
    ExtractBatchID							int             NULL,
    OpCode								char(1)			NULL,
    VistaCreateDate						datetime2(7)	NULL,
    VistaEditDate						datetime2(7)    NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			        BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs
	StationID							smallint		NULL,
	RecordStatusID						tinyint			NULL,	--OpCode
	Station6A							varchar(10)		NULL,	--parse from ServiceName
	RequestServiceCategory				varchar(15)		NULL,
	IsCommunityCareRelated				bit				NULL,	--filled by cleaner script
	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	WITH (DATA_COMPRESSION = PAGE)

GO

--foreign keys

--indexes



--constraints

--Metadata descriptions for each field
