﻿CREATE TABLE zraw._fbcsclaimsnotprocessed
(
	--source: A06, CDWWork, FBCS.claimsnotprocessed

	--fields
	station__no			VARCHAR(30) NOT NULL,
	claim_type			VARCHAR(4),
	claim_id			BIGINT,
	fpps_id				VARCHAR(255),
	billing_provider	VARCHAR(8000),
	from_dos			VARCHAR(152),
	program				VARCHAR(12),
	date_scanned		DATETIME2(7),
	reopened_date		DATETIME2(7),
	total_charges		NUMERIC(28, 6),
	[status]			VARCHAR(13),
	ageby30dayinc		VARCHAR(18),
	facility			VARCHAR(8000),
	tax_id				VARCHAR(20),
	suspension_reason	VARCHAR(200),
	suspended_date		DATETIME,
	specialprovcat		VARCHAR(50),
	patientien			VARCHAR(50),
	thread__id			NUMERIC(18,0) NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			        BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs
	ClaimTypeID				tinyint,
	StationID				smallint NULL,
	CallCenterProgramID		tinyint,
	ClaimAgeGroupID			tinyint,
	SuspendedReasonID		smallint,

	--primary key

	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	WITH (DATA_COMPRESSION = PAGE)

GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
