﻿CREATE TABLE zraw._fbcshcfalines
(
	--source: A06, CDWWork, FBCS.hcfalines

	--fields
    [station__no]              VARCHAR (30)    NOT NULL,
    [hcfaid]                   BIGINT          NULL,
    [id]                       BIGINT          NULL,
    [box24afrom]               SMALLDATETIME   NULL,
    [box24ato]                 SMALLDATETIME   NULL,
    [box24b]                   VARCHAR (8000)  NULL,
    [box24c]                   VARCHAR (8000)  NULL,
    [box24dcpt]                VARCHAR (8000)  NULL,
    [box24dmods]               VARCHAR (8000)  NULL,
    [box24e]                   VARCHAR (8000)  NULL,
    [box24f]                   NUMERIC (28, 6) NULL,
    [box24g]                   BIGINT          NULL,
    [position]                 INT             NULL,
    [repricedamount]           NUMERIC (28, 6) NULL,
    [repriced]                 INT             NULL,
    [pay]                      INT             NULL,
    [authorized]               VARCHAR (8000)  NULL,
    [reason]                   BIGINT          NULL,
    [healthnetrepricedamount]  NUMERIC (28, 6) NULL,
    [paid]                     NUMERIC (28, 6) NULL,
    [paymentstatus]            INT             NULL,
    [vistaid]                  VARCHAR (50)    NULL,
    [renderingprovider]        VARCHAR (8000)  NULL,
    [codesearch]               VARCHAR (5)     NULL,
    [modifiersearch]           VARCHAR (2)     NULL,
    [vafcp]                    VARCHAR (8000)  NULL,
    [vafb]                     VARCHAR (8000)  NULL,
    [vaon]                     VARCHAR (8000)  NULL,
    [vain]                     VARCHAR (8000)  NULL,
    [allowabletype]            VARCHAR (50)    NULL,
    [otherallowabletype]       VARCHAR (20)    NULL,
    [otherallowableamount]     NUMERIC (28, 6) NULL,
    [medicarefee]              NUMERIC (28, 6) NULL,
    [checknumber]              VARCHAR (50)    NULL,
    [voucherdate]              DATETIME2 (7)   NULL,
    [minutes]                  NUMERIC (28, 6) NULL,
    [mileage]                  NUMERIC (28, 6) NULL,
    [vistaallowabletype]       VARCHAR (2000)  NULL,
    [vistaallowableamount]     NUMERIC (28, 6) NULL,
    [cmsallowabletype]         VARCHAR (2000)  NULL,
    [cmsallowableamount]       NUMERIC (28, 6) NULL,
    [vafbint]                  VARCHAR (8000)  NULL,
    [contractnumber]           VARCHAR (20)    NULL,
    [localrejectreason]        VARCHAR (60)    NULL,
    [cfrejectreasons]          VARCHAR (100)   NULL,
    [linechosenamounttopay]    NUMERIC (28, 6) NULL,
    [duplicatejustificationid] VARCHAR (8000)  NULL,
    [note_text]                VARCHAR (500)   NULL,
    [thread__id]               NUMERIC (18)    NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			        BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs


	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	WITH (DATA_COMPRESSION = PAGE)
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
