﻿CREATE TABLE zraw._fbcsinpatientauthorization
(
	--source: A06, CDWWork, FBCS.inpatientauthorization

	--fields
	station__no					VARCHAR(30)	NOT NULL,
	facility					VARCHAR(8000),
	ssn							VARCHAR(10),
	fullname					VARCHAR(8000),
	unique_auth_id				VARCHAR(122),
	vendor_tax_id				VARCHAR(50),
	vendor_name					VARCHAR(100),
	date_created				DATETIME2(7),
	admission_date				DATETIME2(7),
	auth_to_date				DATETIME2(7),
	consult_id					BIGINT,
	fcp							VARCHAR(50),
	obligation					VARCHAR(50),
	estimated_cost				NUMERIC(28, 6),
	contract_id					VARCHAR(20),
	edited_date					DATETIME2(7),
	invoiced					VARCHAR(3),
	auth_va_amount_paid_total	NUMERIC(28, 6),
	date_of_discharge			DATETIME2(7),
	[status]					VARCHAR(100),
	thread__id					NUMERIC(18,	0) NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			        BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	WITH (DATA_COMPRESSION = PAGE)
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
