﻿CREATE TABLE zraw._fbcsoutpatientauthorization
(
	--source: A06, CDWWork, FBCS.outpatientauthorization

	--fields
	station__no					VARCHAR(30) NOT NULL,
	facility					VARCHAR(8000),
	ssn							VARCHAR(10),
	fullname					VARCHAR(8000),
	patient_ien					VARCHAR(20),
	unique_auth_id				VARCHAR(52),
	auth_ien					VARCHAR(20),
	vendor_tax_id				VARCHAR(50),
	vendor_name					VARCHAR(100),
	date_created				DATETIME2(7),
	date_start					DATETIME2(7),
	date_end					DATETIME2(7),
	consult_id					VARCHAR(20),
	consult_date				DATETIME2(7),
	category_of_care			VARCHAR(100),
	fcp							VARCHAR(30),
	obligation					VARCHAR(30),
	estimated_cost				NUMERIC(28,	6),
	number_of_visits			INT,
	contract_status				VARCHAR(30),
	contract_id					VARCHAR(20),
	visits_remaining			INT,
	updated_on					DATETIME2(7),
	invoiced					VARCHAR(3),
	auth_va_amount_paid_total	NUMERIC(28,	6),
	thread__id					NUMERIC(18,0) NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			        BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key

	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	WITH (DATA_COMPRESSION = PAGE)
GO

--foreign keys

--indexes

--constraINTs

--Metadata descriptions for each field
