﻿CREATE TABLE zraw._t8mTriwestNotifications
(
	--source: Triwest external sources

	--fields
	VISN		varchar(50),
	Station	varchar(50),
    VAAuthNumber	varchar(200),
	TriWestAuthNumber varchar(200),
	NotificationDate varchar(50),
    EventType			varchar(2000),
    AppointmentDate		varchar(50),
    Urgency				varchar(200),
	PatientName			varchar(2000),
	SSN					varchar(200),
	CategoryOfCare		varchar(2000),
	Program				varchar(200),
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			        BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs
	VisnID			tinyint,
	StationID		smallint,
	PatientID		bigint,
	CareCategoryID	smallint,
	EventTypeID		tinyint,
	ChoiceProgramID	tinyint,
	UrgencyID		tinyint,
	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	WITH (DATA_COMPRESSION = PAGE)

GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
