﻿CREATE TABLE zraw._t8mTriwestSarReviews
(
	--sar = staff appraisal reviewer or it might mean secondary authorization requests
	--source: Triwest external sources

	--fields (skip Action fields found in source file)
	VISN		varchar(50),
	Station	varchar(50),
    VAAuthNumber	varchar(200),
	TriWestAuthNumber varchar(200),
	CategoryOfCare		varchar(2000),
	Program				varchar(200),
	SSN					varchar(200),
	PatientName			varchar(2000),
	DateRequested		 varchar(50),
    Urgency				varchar(200),
    EventType			varchar(2000),
    SARDueDate			varchar(50),
	SARID				varchar(50),
	VAPendingReview		varchar(50),
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			        BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs
	VisnID			tinyint,
	StationID		smallint,
	PatientID		bigint,
	CareCategoryID	smallint,
	ChoiceProgramID	tinyint,
	UrgencyID		tinyint,
	--primary key

	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	WITH (DATA_COMPRESSION = PAGE)

GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
