--Test scripts for ensuring that regional pulls are working after relationship changes
DECLARE @regionIds varchar(max)
DECLARE @ccnRegionIds varchar(max)
DECLARE @userId int
DECLARE @moduleIds varchar(max)
DECLARE @visnIds varchar(max)
DECLARE @stationIds varchar(max)
DECLARE @adDomains varchar(max)
DECLARE @accessLevelIds varchar(max)
DECLARE @sensitivityLevelIds varchar(max)
DECLARE @accessStatuses varchar(max)
DECLARE @partialName varchar(max)

SET @userId = 1;
SET @stationIds = null;
SET @moduleIds = '1';
SET @adDomains = NULL;
SET @accessLevelIds = '1,3';
SET @accessStatuses = 'APPROVED';
SET @sensitivityLevelIds = null;
SET @partialName = NULL;
--select * from seclyr.users;
--select * from seclyr.userroles where userid = 50;
	--test uspGetUserMaxSensitivityLevel; 
		--expectation: @userId of 1,  @moduleIds = 1, @stationIds = null; result: 1; passes
		--expectation: @userId of 50, @moduleIds = 1, @stationIds = null, result = 5; passes
		--expectation: @userId of 50, @moduleIds = 1, @stationIds = 3, result = 1; passes (stationId 3 non-existent)
	EXEC seclyr.uspGetUserMaxSensitivityLevel @userId, @moduleIds, @stationIds;

	--test uspGetUserRegions
		--expectation: @userId of 1,  @moduleIds = 1, @stationIds = null; result: returns Regions 1 - 5; passes
		--expectation: @userId of 50, @moduleIds = 1, @stationIds = null, result = returns Regions 1- 5; passes
	EXEC seclyr.uspGetUserRegions @userId, @moduleIds;

	--test uspGetUserStationRoles, expectation:
		--expectation: @userId of 1,  @moduleIds = 1, @stationIds = null; result: returns 168 stations; passes
		--expectation: @userId of 50,  @moduleIds = 2, @stationIds = null; result: returns 0 stations; passes
	EXEC seclyr.uspGetUserStationRoles @userId, @moduleIds;

	--test uspGetUserVisns (NOTE: uspGetUserVisns returns region info, which will result in some VISNs showing more than once due to Region lines
		--expectation: @userId of 1,  @moduleIds = 1, @stationIds = null; result: returns 25 Visns; passes
		--expectation: @userId of 50,  @moduleIds = 2, @stationIds = null; result: returns 0 Visns; passes
	EXEC seclyr.uspGetUserVisns @userId, @moduleIds

	--test uspRptDetUserLoginActivity
		--expectation: @userId of 1,  @moduleIds = 1, @adDomains = 'DVA' = null; result: returns 4 records; passes
		--expectation: @userId of 50,  @moduleIds = 2, @adDomains = null; result: returns 0 records; passes
	EXEC seclyr.uspRptDetUserLoginActivity @adDomains, @moduleIds, @userId;

	--test uspRptDetUserMgt
		--expectation: @userId of 1,  @moduleIds = 1, all else = null; result: returns 14 records; passes
		--expectation: @userId of 50,  @moduleIds = 2, @adDomains = 'DNS      ', all else = null; result: returns 7 records; passes
	EXEC seclyr.uspRptDetUserMgt @moduleIds, @adDomains, @accessLevelIds, @sensitivityLevelIds, @accessStatuses, @userId, @partialName;

	--test uspRptDetUserRoles
		--expectation: @userId of 1,  @moduleIds = 1, @accessLevelIds = '1,2', @accessStatuses = 'APPROVED', all else = null; result: returns 6 records; passes
		--expectation: @userId of 50,  @moduleIds = 1, @adDomains = 'DNS      ', @accessLevelIds = '1,3', @accessStatuses = 'APPROVED', @sensitivityLevelIds = '1,2,3', all else = null; result: returns 3 records; passes
	EXEC seclyr.uspRptDetUserRoles @moduleIds, @adDomains, @accessLevelIds, @sensitivityLevelIds, @accessStatuses, @userId, @partialName;

	--test uspRptGetUserCCNRegionsList
		--expectation: @userId of 1,  @moduleIds = 1; result: returns 5 records; passes
		--expectation: @userId of 50,  @moduleIds = 2; result: returns 0 records; passes
	EXEC seclyr.uspRptGetUserCCNRegionsList @moduleIds, @userId;

	--test uspRptGetUserCCNRegionsListWithNullHandler
		--expectation: @userId of 1,  @moduleIds = 1; result: returns 6 records; passes
		--expectation: @userId of 50,  @moduleIds = 2; result: returns 1 record; passes
	EXEC seclyr.uspRptGetUserCCNRegionsListWithNullHandler @moduleIds, @userId;

	--test uspRptGetUserParentStationsList
		--expectation: @userId of 1,  @moduleIds = 1, @regionIds = null, @ccnRegionIds = null, @visnIds = null; result: returns 130 records; passes
		--expectation: @userId of 1,  @moduleIds = 1; @regionIds = null, @ccnRegionIds = null, @visnIds = '5,6', result: returns 13 record; passes
	EXEC seclyr.uspRptGetUserParentStationsList @regionIds, @ccnRegionIds, @visnIds, @userId, @moduleIds;

	--test uspRptGetUserParentStationsListWithNullHandler
		--expectation: @userId of 1,  @moduleIds = 1, @regionIds = null, @ccnRegionIds = null, @visnIds = null; result: returns 131 records; passes
		--expectation: @userId of 50,  @moduleIds = 2, @regionIds = null, @ccnRegionIds = null, @visnIds = '5,6'; result: returns 14 record; passes
	EXEC seclyr.uspRptGetUserParentStationsListWithNullHandler @regionIds, @ccnRegionIds, @visnIds, @userId, @moduleIds;

	--test uspRptGetUserRegionsList
		--expectation: @userId of 1,  @moduleIds = 1; result: returns 4 records; passes
		--expectation: @userId of 50,  @moduleIds = 2; result: returns 0 records; passes
	EXEC seclyr.uspRptGetUserRegionsList @moduleIds, @userId;

	--test uspRptGetUserRegionsListWithNullHandler
		--expectation: @userId of 1,  @moduleIds = 1; result: returns 5 records; passes
		--expectation: @userId of 50,  @moduleIds = 2; result: returns 1 records; passes
	EXEC seclyr.uspRptGetUserRegionsListWithNullHandler @moduleIds, @userId;

	--test uspRptGetUserStationMaxSensitivityLevel
		--expectation: @userId of 1,  @moduleIds = 1; result: returns 168 records, max sensitivity = 1; passes
		--expectation: @userId of 50,  @moduleIds = 1, @stationIds = '656, 675'; result: returns 2 records, max sensitivity = 5; passes
	EXEC seclyr.uspRptGetUserStationMaxSensitivityLevel @userId, @moduleIds, @stationIds;

	--test uspRptGetUserStationsList
		--expectation: @userId of 1,  @moduleIds = 1, @regionIds = '1,2', @ccnRegionId = null, @visnIds = null; result: returns 25 records; passes
		--expectation: @userId of 1,  @moduleIds = 1, @regionIds = null, @ccnRegionIds = '1', @visnIds = '5,6'; result: returns 14 records; passes
	EXEC seclyr.uspRptGetUserStationsList @regionIds, @ccnRegionIds, @visnIds, @userId, @moduleIds;

	--test uspRptGetUserStationsListWithNullHandler
		--expectation: @userId of 1,  @moduleIds = 1, @regionIds = '1,2', @ccnRegionId = null, @visnIds = null; result: returns 26 records; passes
		--expectation: @userId of 1,  @moduleIds = 1, @regionIds = null, @ccnRegionIds = '1', @visnIds = '5,6'; result: returns 15 records; passes
	EXEC seclyr.uspRptGetUserStationsListWithNullHandler @regionIds, @ccnRegionIds, @visnIds, @userId, @moduleIds;

	--test uspRptGetUserVisnsList
		--expectation: @userId of 1,  @moduleIds = 1, @regionIds = '1,2', @ccnRegionId = null, @visnIds = null; result: returns 9 records; passes
		--expectation: @userId of 1,  @moduleIds = 1, @regionIds = null, @ccnRegionIds = '1', result: returns 5 records; passes
	EXEC seclyr.uspRptGetUserVisnsList @regionIds, @ccnRegionIds, @userId, @moduleIds;

	--test uspRptGetUserVisnsListWithNullHandler
		--expectation: @userId of 1,  @moduleIds = 1, @regionIds = '1,2', @ccnRegionId = null, @visnIds = null; result: returns 10 records; passes
		--expectation: @userId of 1,  @moduleIds = 1, @regionIds = null, @ccnRegionIds = '1', result: returns 6 records; passes
	EXEC seclyr.uspRptGetUserVisnsList @regionIds, @ccnRegionIds, @userId, @moduleIds;

	